In preparation of a future 2.3 version, we are introducing 2.3 nighlies

PLEASE NOTE the following important information before hastily jumping on it:

Please back up your models and settings before upgrading so that you can go back to your previous version should you not like 2.3 nightlies or find issues that make it unsuitable for you. Use the “backup radio to file” companion 2.2 feature for this to have an exact copy of what was on your radio.

DO NOT use 2.3 nightlies for any other radio than : Xlite Pro and X9 Lite

WARNINGS:

  • Saving models from companion 2.3 nightly to ANY other radio than X9 Lite or Xlite Pro WILL result in the lost of models and settings.

  • Those are HIGHLY EXPERIMENTAL, untested build, that can work one day and crash the next one, or the other way arround

  • ACCESS feature are still work in progress at FrSky, so the nightly builds will evolve daily to match those, and therefore might not represent the future state of 2.3 release

Known issues:

  • the list of open bugs for 2.3 can be found here : https://github.com/opentx/opentx/milestone/42

Download and install Companion and use it to retrieve and transfer the latest OpenTX firmware to your radio after configuring the proper radio type.

Download links:

SDCard content for 2.3 nightlies

OpenTX Nightly Companion 2.3 - Windows Installer If you get an error about “api-ms-win-crt-runtime-I1-1-0.dll missing” install MS VC++ runtime.

OpenTX Companion 2.2.3 - Mac OS X Disk Image

OpenTX Companion 2.2.3 - Linux DEB Package 64-bit



Published

17 May 2019

Tags